Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 708274 - sys-devel/distcc: lacks >=py37 support
Summary: sys-devel/distcc: lacks >=py37 support
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michał Górny
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: python3.7-compat
  Show dependency tree
 
Reported: 2020-02-04 19:59 UTC by Piotr Karbowski
Modified: 2020-05-31 09:33 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Karbowski archtester Gentoo Infrastructure gentoo-dev Security 2020-02-04 19:59:27 UTC
Current distcc ebuild lacks Python 3.7 support, as for Python 3.8 there's known issue https://github.com/distcc/distcc/issues/370
Comment 1 Joonas Niilola gentoo-dev 2020-02-05 08:29:52 UTC
https://github.com/gentoo/gentoo/pull/14259
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-05-31 09:33:09 UTC
commit ec8c2601c4a39300baedced2d2ef912b93eab523
Author:     Rick Farina <zerochaos@gentoo.org>
AuthorDate: 2020-03-18 20:43:09 +0100
Commit:     Rick Farina <zerochaos@gentoo.org>
CommitDate: 2020-03-18 20:43:18 +0100

    sys-devel/distcc: python3_7
    
    Package-Manager: Portage-2.3.94, Repoman-2.3.21
    Signed-off-by: Rick Farina <zerochaos@gentoo.org>


I have also fixed tests, and will add 3.8+3.9 in a minute.